package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.OmstruckOrder;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 运输订单第二个 mapper
 * @ author    :TXF
 * @ time      :2021/12/3 13:10
 */
@Mapper
public interface OmstruckOrderSeparateMapper {
    //通过订单Id 查询关联的线路子表顺序
    List<Map<String, Object>> getLineMesByOrderId(Integer lineId);

    //通过运输订单Id更改订单状态
    int updateOrderStatusByOrderNum(Map<String, Object> map);

    //通过运输订单Id查询订单所有信息
    Map<String, Object> getOmstruckOrderResult(BigDecimal orderId);

    // 通过总实绩id得到运单id
    BigDecimal getOrderIdByTotalId(BigDecimal reusltTotalId);

    // 通过运单id查询运单信息
    Map<String, Object> getOrderMessagge(BigDecimal orderId);

    // 通过运单id查询路段名称
    List<Map<String, Object>> getSegmentList(BigDecimal orderId);

    // 通过运单id查询实绩点
    Map<String, Object> getResultPointList(BigDecimal orderId);

    // 通过运输订单号查询运单id
    BigDecimal getOrderIdByOrderNumber(String orderNumber);
}
